%global pypi_name path

Name:           python-path
Version:        17.1.0
Release:        %mkrel 1
Summary:        Python module wrapper for os.path
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/path
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4.1
BuildRequires:  python3dist(wheel)


%generate_buildrequires
%pyproject_buildrequires 

%description
path.py implements path objects as first-class entities, allowing common
operations on files to be invoked on those path objects directly.

%package    -n python3-path
Summary:        %{summary}
%{?python_provide:%python_provide python3-path}

%description -n python3-path
path.py implements path objects as first-class entities, allowing common
operations on files to be invoked on those path objects directly.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files path

%check
%pytest

%files -n python3-path -f %pyproject_files


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 17.1.0-1.mga10
+ Revision: 2154199
- new version: 17.1.0
- rebuild for python 3.13

* Thu Jul 11 2024 papoteur <papoteur> 16.14.0-1.mga10
+ Revision: 2080774
- new version 16.14.0

* Fri Dec 08 2023 wally <wally> 16.7.1-2.mga10
+ Revision: 2015802
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 16.7.1-1.mga10
+ Revision: 1988389
- new 16.7.1

* Sat Dec 17 2022 guillomovitch <guillomovitch> 16.6.0-1.mga9
+ Revision: 1924284
- new version 16.6.0

* Sun Oct 02 2022 neoclust <neoclust> 16.5.0-1.mga9
+ Revision: 1893957
- New version 16.5.0

* Mon Apr 04 2022 guillomovitch <guillomovitch> 16.4.0-1.mga9
+ Revision: 1843812
- new version 16.4.0

* Sat Mar 26 2022 umeabot <umeabot> 16.3.0-2.mga9
+ Revision: 1828532
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 16.3.0-1.mga9
+ Revision: 1777977
- version 16.3.0
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 15.1.2-2.mga9
+ Revision: 1706028
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 15.1.2-1.mga9
+ Revision: 1701517
- imported package python-path

